# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.85"
name = "shell-download"
version = "0.20.0"
authors = ["Matt Mastracci <matthew@mastracci.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Zero-dependency Rust library for downloading a remote URL to a file, string or bytes using commonly-available shell tools."
readme = "README.md"
categories = [
    "network-programming",
    "command-line-utilities",
    "os",
]
license = "Apache-2.0 OR MIT"
repository = "https://github.com/mmastrac/shell-download"

[features]
default = []
tempfile = ["dep:tempfile"]
url = ["dep:url"]

[lib]
name = "shell_download"
path = "src/lib.rs"

[[bin]]
name = "shell-download"
path = "src/main.rs"

[[test]]
name = "httpbin"
path = "tests/httpbin.rs"

[[test]]
name = "in_memory"
path = "tests/in_memory.rs"

[[test]]
name = "localhost_python"
path = "tests/localhost_python.rs"

[dependencies.tempfile]
version = "3"
optional = true

[dependencies.url]
version = "2.5"
optional = true
default-features = false

[dev-dependencies.dtor]
version = "1.0.1"

[dev-dependencies.serde_json]
version = "1"
